curl --request POST \
--url https://services.leadconnectorhq.com/products/bulk-update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"type": "bulk-update-price",
"productIds": [
"5f8d0d55b54764421b7156c1"
],
"filters": {
"collectionIds": [
"5f8d0d55b54764421b7156c1",
"5f8d0d55b54764421b7156c2"
],
"productType": "one-time",
"availableInStore": true,
"search": "blue t-shirt"
},
"price": {
"type": "INCREASE_BY_AMOUNT",
"value": 100,
"roundToWhole": true
},
"compareAtPrice": {
"type": "INCREASE_BY_AMOUNT",
"value": 100,
"roundToWhole": true
},
"availability": true,
"collectionIds": [
"<string>"
],
"currency": "USD"
}
'{
"status": true,
"message": "Successfully created"
}API to bulk update products (price, availability, collections, delete)
curl --request POST \
--url https://services.leadconnectorhq.com/products/bulk-update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"type": "bulk-update-price",
"productIds": [
"5f8d0d55b54764421b7156c1"
],
"filters": {
"collectionIds": [
"5f8d0d55b54764421b7156c1",
"5f8d0d55b54764421b7156c2"
],
"productType": "one-time",
"availableInStore": true,
"search": "blue t-shirt"
},
"price": {
"type": "INCREASE_BY_AMOUNT",
"value": 100,
"roundToWhole": true
},
"compareAtPrice": {
"type": "INCREASE_BY_AMOUNT",
"value": 100,
"roundToWhole": true
},
"availability": true,
"collectionIds": [
"<string>"
],
"currency": "USD"
}
'{
"status": true,
"message": "Successfully created"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Location Id or Agency Id
"6578278e879ad2646715ba9c"
location Type of bulk update operation
bulk-update-price, bulk-update-availability, bulk-update-product-collection, bulk-delete-products, bulk-update-currency "bulk-update-price"
Array of product IDs
["5f8d0d55b54764421b7156c1"]Show child attributes
Show child attributes
Show child attributes
New availability status
Array of collection IDs
Currency code
"USD"
Was this page helpful?